/* Basic reset */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

header {
  background-color: rgba(0,0,0,0);
  color: white;
  position: absolute;
  width: 100%;
}

.navbar {
  display: flex;
  justify-content: center; /* Center horizontally */
  align-items: center;
  padding: 65px 20px;
}

.logo a {
  color: white;
  font-size: 24px;
  text-decoration: none;
}

.nav-links {
  display: flex;
  list-style: none;
z-index: 1010; /* Bring the navbar above other elements */
}

.nav-links li {
  margin-left: 50px;
}

.nav-links a {

  text-decoration: none;
  font-size: 18px;
  font-family: 'eviteyou', 'Helvetica Neue', sans-serif;
}

.menu-icon {
  display: none;
  flex-direction: column;
  cursor: pointer;
}

.menu-icon span {
  width: 15px;
  height: 1px;
  background-color: #1c1c1a;
  margin: 2px 0;
}

.show-on-mobile {
  display: none;
}

/* Mobile styles */
@media (max-width: 768px) {
  .navbar {
    flex-direction: column;
    align-items: flex-end;
    padding: 32px 20px;
    background-color: rgba(252,252,249,1);
    position: relative;  /* Ensure the navbar is positioned */
    z-index: 1000; /* Bring the navbar above other elements */
  }

  .nav-links a {
    color: #1c1c1a;
    text-decoration: none;
    font-size: 25px;
    font-family: 'eviteyou', 'Helvetica Neue', sans-serif;
  }

  .logo {
    position: absolute;
    left: 20px;  /* Adjust this value as needed */
    top: 15px;   /* Adjust this value as needed */
    z-index: 1010; /* Ensure logo is above the navbar */
  }

  .nav-links {
    display: none;
    width: 100%;
    flex-direction: column;
    padding-left: 3px;
    padding-top: 50px;
    padding-bottom: 1000px;
  }

  .nav-links.active {
    display: flex;
  }

  .nav-links li {
    margin: 10px 0;
    text-align: left;
  }

  .menu-icon {
    display: flex;
    z-index: 1020; /* Ensure menu icon is on top of navbar */
  }
  .show-on-mobile {
    display: block;
  }
}
